Kerbal Space Program - Bug #5042

unable to exit 'strut mode' with a single part in VAB/SPH
05/25/2015 01:19 AM - Comwarrior69

Status: Closed Start date: 05/25/2015
Severity: Unworthy % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

In the VAB or SPH if you have a single part and you attach the first point of a strut to it then you are unable to exit the strut mode /
cancel the strut untill you place the other end of the strut which you can not do because you only have one part and you can not
select another part to add.

History

#1 - 05/25/2015 04:17 PM - unseeingwhale
- Status changed from New to Confirmed
- Severity changed from Normal to Unworthy

- % Done changed from 0 to 10

Confirmed.

While there are some parts you can get the strut to at least try to attach it self (Mk-1 Command Pod) | was able to reproduce the issue with the Mk1
Cockpit. While this is silly in this situation there really should be a way to get out of strut mode.

Steps to reproduce:

Place Mk1 Cockpit in either the VAB or SPH

Place a strut point at the mid point of the craft

You cannot place the other end point and can't exit strut mode

Expected result
Should be a key press to back out of strut mode at any point. ESC would be a good choice.

#5 - 05/26/2015 03:37 AM - EddieRod1285
Oh | know | hate when this happens! But don't expect anymore fixes from SQUAD or a Unity 5 port or 64 bit! KSP has been abandoned sadly!

#6 - 07/17/2016 09:29 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/10/2016 08:06 AM - Claw
- Status changed from Needs Clarification to Acknowledged

- % Done changed from 0 to 100

You can get out of strut mode by pressing DELETE.

#8 - 08/10/2016 08:08 AM - TriggerAu
- Status changed from Acknowledged to Closed

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
